﻿using System;
using System.Threading;
using Confluent.Kafka;
using Model;
using Repository;
using Serializers;
using Subscriber;

class Consumer
{
    public static async Task Main(string[] args)
    {
        DataRepository dataRepository = new DataRepository("mongodb://mongo:mongo@localhost:27017", "mongo");

        DataSubscriber dataSubscriber = new DataSubscriber("test-topic", "localhost:29092", dataRepository);


        await dataSubscriber.Subscribe();
    }
}
